package com.zd.laboratory.service;

import java.util.List;
import com.zd.laboratory.domain.LabNoticeconfig;

/**
 * 通知配置Service接口
 * 
 * @author zd
 * @date 2022-03-09
 */
public interface ILabNoticeconfigService 
{
    /**
     * 查询通知配置
     * 
     * @param id 通知配置主键
     * @return 通知配置
     */
    public LabNoticeconfig selectLabNoticeconfigById(Long id);

    /**
     * 查询通知配置列表
     * 
     * @param labNoticeconfig 通知配置
     * @return 通知配置集合
     */
    public List<LabNoticeconfig> selectLabNoticeconfigList(LabNoticeconfig labNoticeconfig);

    /**
     * 新增通知配置
     * 
     * @param labNoticeconfig 通知配置
     * @return 结果
     */
    public int insertLabNoticeconfig(LabNoticeconfig labNoticeconfig);

    /**
     * 修改通知配置
     * 
     * @param labNoticeconfig 通知配置
     * @return 结果
     */
    public int updateLabNoticeconfig(LabNoticeconfig labNoticeconfig);

    /**
     * 批量删除通知配置
     * 
     * @param ids 需要删除的通知配置主键集合
     * @return 结果
     */
    public int deleteLabNoticeconfigByIds(Long[] ids);

    /**
     * 删除通知配置信息
     * 
     * @param id 通知配置主键
     * @return 结果
     */
    public int deleteLabNoticeconfigById(Long id);
}
